%global packname  BSgenome
%global BioC      2.4

Name:             R-%{packname}
Version:          1.12.3
Release:          1%{?dist}
Summary:          Infrastructure for Biostrings-based genome data packages

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/%{BioC}/bioc/html/BSgenome.html
Source0:          http://bioconductor.org/packages/%{BioC}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R  R-methods R-IRanges R-Biostrings 
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex R R-Biostrings-devel
BuildRequires:    R  R-methods R-IRanges

%description
Infrastructure shared by all the Biostrings-based genome data packages

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

# architecture independant package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
# The dependencies asked are:
# 1- only 'suggests'
# 2- really big
# 3- contain only 'metadata' no code
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/latex/
%doc %{_datadir}/R/library/%{packname}/man/ 
%{_datadir}/R/library/%{packname}/NAMESPACE 
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R 
%{_datadir}/R/library/%{packname}/R-ex 
%{_datadir}/R/library/%{packname}/CONTENTS 
%{_datadir}/R/library/%{packname}/INDEX 
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/BSgenomeDataPkg-template

%changelog
* Mon Jul 13 2009 pingou <pingou@pingoured.fr> 1.12.3-1
- Update to 1.12.3

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> 1.12.2-1
- Update to 1.12.2

* Wed May 20 2009 pingou <pingou@pingoured.fr> 1.12.0-2
- The NAMESPACE file is not a doc

* Mon May 18 2009 pingou <pingou@pingoured.fr> 1.12.0-1
- Update to 1.12.0 for Bioconductor 2.4 and R 2.9.0
- Remove the dependency on R-Biobase which is not needed

* Wed Apr 01 2009 pingou <pingou@pingoured.fr> 1.10.5-2
- Add R-Biostrings-devel as BR
- Define and use the macro BioC for the bioconductor release

* Fri Mar 13 2009 pingou <pingou -AT- pingoured.fr> 1.10.5-1
- initial package for Fedora
